# Refund

### Fields

#### amountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Refund amount in cents.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID of the refund.

#### payment ([Payment](/graphql-api/api-reference/objects/payment.md)!)

The payment the refund was issued for.

#### paymentProviderObjectId ([String](/graphql-api/api-reference/objects/string.md))

The payment provider ID for this refund

#### reason ([String](/graphql-api/api-reference/objects/string.md))

Reason why the refund was issued.

#### refundedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The creation time of the refund.

#### status ([RefundStatus](/graphql-api/api-reference/objects/refund-status.md)!)

Status of the refund.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/refund.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
